define(function (require, exports, module){
    var $ = require("jq");
    require('mbinsc')($);

    $(function(){
        $('#moban-items').infinitescroll({
            navSelector  : ".pagination",   // 页面分页元素(成功后会被隐藏)
            nextSelector : ".pagination li:last a", // 需要点击的下一页链接，和2的html要对应
            itemSelector : ".moban-items"  , // ajax回来之后，每一项的selecter
            //（比如每篇文章都有item这个class）
            animate      : true,      //加载完毕是否采用动态效果
            extraScrollPx: 500,       //向下滚动的像素，必须开启动态效果
            // debug     : true,      //调试的时候，可以打开
            bufferPx     : 5,         //提示语展现的时长，数字越大，展现时间越短
            loading: {
                finishedMsg: '没有更多内容了', //当加载失败，或者加载不出内容之后的提示语
                img:  'loading-new.gif',   //自定义loadding的动画图
                msgText : '正在加载中...',    //加载时的提示语
            }
        });
    });
});